Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 484)
@@ -205,11 +205,11 @@
                 strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                 strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                 strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
-                strcmd.AppendFormat(",'{0}'", work.FirstString);            // 項目名称
-                strcmd.AppendFormat(",'{0}'", work.SecondString);           // 工事内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 項目名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 工事内容
                 strcmd.AppendFormat(", {0}", work.CompanyType);             // 協力会社コードタイプ
                 strcmd.AppendFormat(", {0}", work.CompanyCode);             // 協力会社コード
-                strcmd.AppendFormat(",'{0}'", work.CompanyName);            // 協力会社名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName));     // 協力会社名称
                 strcmd.AppendFormat(", {0}", work.EstimatePrice);           // 見積時金額
                 strcmd.AppendFormat(", {0}", work.NegotiationPrice);        // 交渉時金額
                 strcmd.AppendFormat(", {0}", work.OrderDesiredAmount);      // 発注希望金額
@@ -267,11 +267,11 @@
                     strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                     strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
-                    strcmd.AppendFormat(",'{0}'", work.FirstString);            // 項目名称
-                    strcmd.AppendFormat(",'{0}'", work.SecondString);           // 工事内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));         // 項目名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));        // 工事内容
                     strcmd.AppendFormat(", {0}", work.CompanyType);             // 協力会社コードタイプ
                     strcmd.AppendFormat(", {0}", work.CompanyCode);             // 協力会社コード
-                    strcmd.AppendFormat(",'{0}'", work.CompanyName);            // 協力会社名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName));         // 協力会社名称
                     strcmd.AppendFormat(", {0}", work.EstimatePrice);           // 見積時金額
                     strcmd.AppendFormat(", {0}", work.NegotiationPrice);        // 交渉時金額
                     strcmd.AppendFormat(", {0}", work.OrderDesiredAmount);      // 発注希望金額
@@ -321,11 +321,11 @@
                 strcmd.AppendFormat(", LineCount = {0}", data.LineCount);                       // 行番号
                 strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
                 strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);		                    // 工種キー
-                strcmd.AppendFormat(", FirstString = '{0}'", data.FirstString);                 // 項目名称名称
-                strcmd.AppendFormat(", SecondString = '{0}'", data.SecondString);               // 工事内容
+                strcmd.AppendFormat(", FirstString = {0}", SeparateString(data.FirstString));   // 項目名称名称
+                strcmd.AppendFormat(", SecondString = {0}", SeparateString(data.SecondString)); // 工事内容
                 strcmd.AppendFormat(", CompanyType = {0}", data.CompanyType);                   // 協力会社コードタイプ
                 strcmd.AppendFormat(", CompanyCode = {0}", data.CompanyCode);                   // 協力会社コード
-                strcmd.AppendFormat(", CompanyName = '{0}'", data.CompanyName);                 // 協力会社名称
+                strcmd.AppendFormat(", CompanyName = {0}", SeparateString(data.CompanyName));   // 協力会社名称
                 strcmd.AppendFormat(", EstimatePrice = {0}", data.EstimatePrice);               // 見積時金額
                 strcmd.AppendFormat(", NegotiationPrice = {0}", data.NegotiationPrice);         // 交渉時金額
                 strcmd.AppendFormat(", OrderDesiredAmount = {0}", data.OrderDesiredAmount);     // 発注希望金額
@@ -407,10 +407,10 @@
                         strcmd.AppendFormat(" ItemCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.FirstString:            // 項目名称
-                        strcmd.AppendFormat(" FirstString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FirstString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SecondString:           // 工事内容
-                        strcmd.AppendFormat(" SecondString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SecondString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CompanyType:            // 協力会社コードタイプ
                         strcmd.AppendFormat(" CompanyType = {0}", ((int)value).ToString());
@@ -419,7 +419,7 @@
                         strcmd.AppendFormat(" CompanyCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompanyName:            // 協力会社名称
-                        strcmd.AppendFormat(" CompanyName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.EstimatePrice:          // 見積時金額
                         strcmd.AppendFormat(" EstimatePrice = {0}", ((double)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 484)
@@ -215,9 +215,9 @@
 
                 strcmd.AppendFormat(", {0}", work.ConstructionPeriod);              // 事業期
                 strcmd.AppendFormat(", {0}", work.CreatorCode);                     // 作成者コード
-                strcmd.AppendFormat(",'{0}'", work.CreatorName);                    // 作成者名
+                strcmd.AppendFormat(", {0}", SeparateString(work.CreatorName));     // 作成者名
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                        work.CreateDate.ToShortDateString());           // 作成日
+                                        work.CreateDate.ToShortDateString());       // 作成日
                 strcmd.AppendFormat(", {0}", work.ConstructionTimes);               // 工期（単位・月）
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.ConstructionStart.ToShortDateString());    // 契約工期開始
@@ -284,9 +284,9 @@
 
                     strcmd.AppendFormat(", {0}", work.ConstructionPeriod);              // 事業期
                     strcmd.AppendFormat(", {0}", work.CreatorCode);                     // 作成者コード
-                    strcmd.AppendFormat(",'{0}'", work.CreatorName);                    // 作成者名
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CreatorName));     // 作成者名
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
-                                            work.CreateDate.ToShortDateString());           // 作成日
+                                            work.CreateDate.ToShortDateString());       // 作成日
                     strcmd.AppendFormat(", {0}", work.ConstructionTimes);               // 工期（単位・月）
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                             work.ConstructionStart.ToShortDateString());    // 契約工期開始
@@ -344,9 +344,9 @@
 
                 strcmd.AppendFormat(", ConstructionPeriod = {0}", data.ConstructionPeriod);     // 事業期
                 strcmd.AppendFormat(", CreatorCode = {0}", data.CreatorCode);                   // 作成者コード
-                strcmd.AppendFormat(", CreatorName = '{0}'", data.CreatorName);                 // 作成者名
+                strcmd.AppendFormat(", CreatorName = {0}", SeparateString(data.CreatorName));   // 作成者名
                 strcmd.AppendFormat(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
-                                                        data.CreateDate.ToShortDateString());       // 作成日
+                                                        data.CreateDate.ToShortDateString());   // 作成日
                 strcmd.AppendFormat(", ConstructionTimes = {0}", data.ConstructionTimes);       // 工期（単位・月）
                 strcmd.AppendFormat(", ConstructionStart = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.ConstructionStart.ToShortDateString());// 契約工期開始
@@ -437,7 +437,7 @@
                         strcmd.AppendFormat(" CreatorCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CreatorName:    	        // 作成者名
-                        strcmd.AppendFormat(" CreatorName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CreatorName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CreateDate:	            // 作成日
                         strcmd.AppendFormat(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 484)
@@ -78,6 +78,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SELECT　SQL作成
         /// <summary>
         /// SQL作成
@@ -85,28 +123,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ConstructionLedgerDetail", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM ConstructionLedgerDetail");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -213,11 +240,11 @@
                 strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                 strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                 strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
-                strcmd.AppendFormat(",'{0}'", work.FirstString);            // 項目名称
-                strcmd.AppendFormat(",'{0}'", work.SecondString);           // 工事内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 項目名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 工事内容
                 strcmd.AppendFormat(", {0}", work.CompanyType);             // 協力会社コードタイプ
                 strcmd.AppendFormat(", {0}", work.CompanyCode);             // 協力会社コード
-                strcmd.AppendFormat(",'{0}'", work.CompanyName);            // 協力会社名称
+                strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName));     // 協力会社名称
                 strcmd.AppendFormat(", {0}", work.EstimatePrice);           // 予算（見積）金額
                 strcmd.AppendFormat(", {0}", work.ExecutionAmount);         // 実行金額
                 strcmd.AppendFormat(", {0}", work.AmountConfigRate);        // 金額構成率
@@ -287,11 +314,11 @@
                     strcmd.AppendFormat(", {0}", work.LineCount);               // 行番号
                     strcmd.AppendFormat(", {0}", work.ComponentCode);           // 構成キー
                     strcmd.AppendFormat(", {0}", work.ItemCode);		        // 工種キー
-                    strcmd.AppendFormat(",'{0}'", work.FirstString);            // 項目名称
-                    strcmd.AppendFormat(",'{0}'", work.SecondString);           // 工事内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.FirstString));     // 項目名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.SecondString));    // 工事内容
                     strcmd.AppendFormat(", {0}", work.CompanyType);             // 協力会社コードタイプ
                     strcmd.AppendFormat(", {0}", work.CompanyCode);             // 協力会社コード
-                    strcmd.AppendFormat(",'{0}'", work.CompanyName);            // 協力会社名称
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CompanyName));     // 協力会社名称
                     strcmd.AppendFormat(", {0}", work.EstimatePrice);           // 予算（見積）金額
                     strcmd.AppendFormat(", {0}", work.ExecutionAmount);         // 実行金額
                     strcmd.AppendFormat(", {0}", work.AmountConfigRate);        // 金額構成率
@@ -352,11 +379,11 @@
                 strcmd.AppendFormat(", LineCount = {0}", data.LineCount);                       // 行番号
                 strcmd.AppendFormat(", ComponentCode = {0}", data.ComponentCode);               // 構成キー
                 strcmd.AppendFormat(", ItemCode = {0}", data.ItemCode);		                    // 工種キー
-                strcmd.AppendFormat(", FirstString = '{0}'", data.FirstString);                 // 項目名称名称
-                strcmd.AppendFormat(", SecondString = '{0}'", data.SecondString);               // 工事内容
+                strcmd.AppendFormat(", FirstString = {0}", SeparateString(data.FirstString));   // 項目名称名称
+                strcmd.AppendFormat(", SecondString = {0}", SeparateString(data.SecondString)); // 工事内容
                 strcmd.AppendFormat(", CompanyType = {0}", data.CompanyType);                   // 協力会社コードタイプ
                 strcmd.AppendFormat(", CompanyCode = {0}", data.CompanyCode);                   // 協力会社コード
-                strcmd.AppendFormat(", CompanyName = '{0}'", data.CompanyName);                 // 協力会社名称
+                strcmd.AppendFormat(", CompanyName = {0}", SeparateString(data.CompanyName));   // 協力会社名称
                 strcmd.AppendFormat(", EstimatePrice = {0}", data.EstimatePrice);               // 予算（見積）金額
                 strcmd.AppendFormat(", ExecutionAmount = {0}", data.ExecutionAmount);           // 実行金額
                 strcmd.AppendFormat(", AmountConfigRate = {0}", data.AmountConfigRate);         // 金額構成率
@@ -561,10 +588,10 @@
                         strcmd.AppendFormat(" ItemCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.FirstString:           // 項目名称
-                        strcmd.AppendFormat(" FirstString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FirstString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.SecondString:          // 工事内容
-                        strcmd.AppendFormat(" SecondString = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" SecondString = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.CompanyType:           // 協力会社コードタイプ
                         strcmd.AppendFormat(" CompanyType = {0}", ((int)value).ToString());
@@ -573,7 +600,7 @@
                         strcmd.AppendFormat(" CompanyCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompanyName:           // 協力会社名称
-                        strcmd.AppendFormat(" CompanyName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.EstimatePrice:         // 予算（見積）金額
                         strcmd.AppendFormat(" EstimatePrice = {0}", ((int)value).ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs	(revision 484)
@@ -75,6 +75,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("TargetMonth"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SELECT　SQL作成
         /// <summary>
         /// SQL作成
@@ -81,23 +123,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成
             StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM ConstructionLedgerExcute", CreateFieldNameList());
 
-            strcmd.Append("SELECT");
-            strcmd.Append("  ConstructionCode");	        // 工事コード
-            strcmd.Append(", GroupCount");               // グループ番号
-            strcmd.Append(", LineCount");                // 行番号
-            strcmd.Append(", ColumnCount");              // 列番号
-
-            strcmd.Append(", PaymentAmount");            // 支払金額
-            strcmd.Append(", DATE_FORMAT(TargetMonth, '%Y/%m/%d')");    // 対象年月
-
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM ConstructionLedgerExcute");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfCompensation.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfCompensation.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostDataOfCompensation.cs	(revision 484)
@@ -42,6 +42,7 @@
             FromCodeType,       // 相手先コードタイプ
             FromCode,           // 相手先コード
             SendDate,           // 対象日付
+            LinkCode,           // リンク先工事コード
             EntryPrice,         // 金額（税抜）
             EntryTax,           // 金額（税込）
             Content,            // 支払内容
@@ -64,6 +65,48 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else if (strWork.Equals("SendDate"))
+                    {
+                        strcmd.AppendFormat(" DATE({0}{1}) As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region SQL作成
         /// <summary>
         /// SQL作成
@@ -70,34 +113,18 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM CostDataOfCompensation", CreateFieldNameList());
 
-            bool bColFirst = true;
-            string strWork = string.Empty;
-            foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
             {
-                strWork = gender.ToString();
-                if (!bColFirst) strcmd.Append(",");
-                if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
-                {
-                    strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
-                }
-                else if (strWork.Equals("SendDate"))
-                {
-                    strcmd.AppendFormat(" DATE({0})", strWork);
-                }
-                else
-                {
-                    strcmd.AppendFormat(" {0}", strWork);
-                }
-                bColFirst = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
             }
-
-            strcmd.Append(" FROM CostDataOfCompensation");
-
-            return strcmd.ToString();
         }
         #endregion
 
@@ -199,10 +226,11 @@
                 strcmd.AppendFormat(", {0}", work.FromCodeType);                                // 相手先コードタイプ
                 strcmd.AppendFormat(", {0}", work.FromCode);                                    // 相手先コード
                 strcmd.AppendFormat(", DATE('{0}')", work.SendDate.Date);                       // 対象日付
+                strcmd.AppendFormat(", {0}", work.LinkCode);                                    // リンク先工事コード
                 strcmd.AppendFormat(", {0}", work.EntryPrice);                                  // 金額（税抜）
                 strcmd.AppendFormat(", {0}", work.EntryTax);                                    // 金額（税込）
-                strcmd.AppendFormat(", '{0}'", work.Content);                                   // 支払内容
-                strcmd.AppendFormat(", '{0}'", work.BikoComment);                               // 備考
+                strcmd.AppendFormat(", {0}", SeparateString(work.Content));                     // 支払内容
+                strcmd.AppendFormat(", {0}", SeparateString(work.BikoComment));                 // 備考
                 strcmd.AppendFormat(", {0}", work.LockFlg);                                     // データロック
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -253,10 +281,11 @@
                     strcmd.AppendFormat(", {0}", work.FromCodeType);                                // 相手先コードタイプ
                     strcmd.AppendFormat(", {0}", work.FromCode);                                    // 相手先コード
                     strcmd.AppendFormat(", DATE('{0}')", work.SendDate.Date);                       // 対象日付
+                    strcmd.AppendFormat(", {0}", work.LinkCode);                                    // リンク先工事コード
                     strcmd.AppendFormat(", {0}", work.EntryPrice);                                  // 金額（税抜）
                     strcmd.AppendFormat(", {0}", work.EntryTax);                                    // 金額（税込）
-                    strcmd.AppendFormat(", '{0}'", work.Content);                                   // 支払内容
-                    strcmd.AppendFormat(", '{0}'", work.BikoComment);                               // 備考
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Content));                     // 支払内容
+                    strcmd.AppendFormat(", {0}", SeparateString(work.BikoComment));                 // 備考
                     strcmd.AppendFormat(", {0}", work.LockFlg);                                     // データロック
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -303,10 +332,11 @@
                 strcmd.AppendFormat(", FromCodeType = {0}", data.FromCodeType);                                     // 相手先コードタイプ
                 strcmd.AppendFormat(", FromCode = {0}", data.FromCode);                                             // 相手先コード
                 strcmd.AppendFormat(", SendDate = DATE('{0}')", data.SendDate.Date);                                // 対象日付
+                strcmd.AppendFormat(", LinkCode = {0}", data.LinkCode);                                             // リンク先工事コード
                 strcmd.AppendFormat(", EntryPrice = {0}", data.EntryPrice);                                         // 金額（税抜）
                 strcmd.AppendFormat(", EntryTax = {0}", data.EntryTax);                                             // 金額（税込）
-                strcmd.AppendFormat(", Content = '{0}'", data.Content);                                             // 支払内容
-                strcmd.AppendFormat(", BikoComment = '{0}'", data.BikoComment);                                         // 備考
+                strcmd.AppendFormat(", Content = {0}", SeparateString(data.Content));                               // 支払内容
+                strcmd.AppendFormat(", BikoComment = {0}", SeparateString(data.BikoComment));                       // 備考
                 strcmd.AppendFormat(", LockFlg = {0}", data.LockFlg);                                               // データロック
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -371,6 +401,7 @@
                 wrk.FromCodeType = int.Parse(objwrk[(int)TableColumn.FromCodeType].ToString());                 // 相手先コードタイプ
                 wrk.FromCode = int.Parse(objwrk[(int)TableColumn.FromCode].ToString());                         // 相手先コード
                 wrk.SendDate = DateTime.Parse(objwrk[(int)TableColumn.SendDate].ToString());                    // 対象日付
+                wrk.LinkCode = int.Parse(objwrk[(int)TableColumn.LinkCode].ToString());                         // リンク先工事コード
                 wrk.EntryPrice = decimal.Parse(objwrk[(int)TableColumn.EntryPrice].ToString());                 // 金額（税抜）
                 wrk.EntryTax = decimal.Parse(objwrk[(int)TableColumn.EntryTax].ToString());                     // 金額（税込）
                 wrk.Content = objwrk[(int)TableColumn.Content].ToString();                                      // 支払内容
